---
version: '3'

services:
  # nginx:
  #   image: nginx
  #   container_name: nginx
  #   restart: unless-stopped
  #   volumes:
  #   - "./nginx.conf:/etc/nginx/conf.d/default.conf"
  #   ports:
  #   - '9000'

  redis:
    image: redis:6.0
    container_name: redis
    volumes:
    - "E:/drivalink/redis:/data"
    ports:
    - '6379:6379'

  # mongodb:
  #   image: mongo:4.4
  #   container_name: mongodb
  #   environment:
  #   - MONGO_INITDB_DATABASE=test_db
  #   # - MONGO_INITDB_ROOT_USERNAME=agim8
  #   # - MONGO_INITDB_ROOT_PASSWORD=testagim8
  #   volumes:
  #   - "E:/drivalink/mongodb:/data"
  #   expose:
  #   - '27017'
  #   ports:
  #   - '27017:27017'

  # rabbitmq:
  #   image: rabbitmq:3-management-alpine
  #   container_name: rabbitmq
  #   volumes:
  #   - "E:/drivalink/rabbitmq/etc/:/etc/rabbitmq/"
  #   - "E:/drivalink/rabbitmq/data/:/var/lib/rabbitmq/"
  #   - "E:/drivalink/rabbitmq/logs/:/var/log/rabbitmq/"
  #   environment:
  #   - RABBITMQ_DEFAULT_USER=user123
  #   - RABBITMQ_DEFAULT_PASS=test12345
  #   ports:
  #   - 5672:5672
  #   - 15672:15672

  # auth-service:
  #   environment:
  #   - JAVA_OPTS=-Xmx2048m -Dspring.profiles.active=prod
  #   - MONGODB_DSN=mongodb://agim8:testagim8@mongodb:27017/auth-service
  #   - REDIS_DSN=edis://redis:6379
  #   - REDIS_HOST=redis
  #   - REDIS_PORT=6379
  #   - MONGODB_CA=/certs/mongoCA.crt
  #   image: registry.gitlab.com/agim8/agim8-platform/auth-service:develop
  #   deploy:
  #     resources:
  #       limits:
  #         cpus: '0.50'
  #         memory: 1024M
  #   expose:
  #   - '9002'
  #   volumes:
  #   - "./certs:/certs"

  # dataprocessor-service:
  #   environment:
  #   - JAVA_OPTS=-Xmx2048m -Dspring.profiles.active=prod
  #   - MONGODB_DSN=mongodb://agim8:testagim8@mongodb:27017/dataprocessor-service
  #   - RABBITMQ_DSN=amqp://user123:test12345@rabbitmq:5672/%2F
  #   - REDIS_DSN=redis://redis:6379
  #   - REDIS_HOST=redis
  #   - REDIS_PORT=6379
  #   - MONGODB_CA=/certs/mongoCA.crt
  #   image: registry.gitlab.com/agim8/agim8-platform/dataprocessor-service:develop
  #   deploy:
  #     resources:
  #       limits:
  #         cpus: '0.50'
  #         memory: 1024M
  #   expose:
  #   - '9004'
  #   volumes:
  #   - "./certs:/certs"

  # mobile-service:
  #   environment:
  #   - JAVA_OPTS=-Xmx2048m -Dspring.profiles.active=prod
  #   - MONGODB_DSN=mongodb://agim8:testagim8@mongodb:27017/mobile-service
  #   - REDIS_DSN=redis://redis:6379
  #   - REDIS_HOST=redis
  #   - REDIS_PORT=6379
  #   - MONGODB_CA=/certs/mongoCA.crt
  #   image: registry.gitlab.com/agim8/agim8-platform/mobile-service:develop
  #   expose:
  #   - '9005'
  #   volumes:
  #   - "./certs:/certs"

  # notification-service:
  #   environment:
  #   - JAVA_OPTS=-Xmx2048m -Dspring.profiles.active=prod
  #   - MONGODB_DSN=mongodb://agim8:testagim8@mongodb:27017/notification-service
  #   - REDIS_DSN=redis://redis:6379
  #   - RABBITMQ_DSN=amqp://user123:test12345@rabbitmq:5672/%2F
  #   - REDIS_HOST=redis
  #   - REDIS_PORT=6379
  #   - MONGODB_CA=/certs/mongoCA.crt
  #   image: registry.gitlab.com/agim8/agim8-platform/notification-service:develop
  #   deploy:
  #     resources:
  #       limits:
  #         cpus: '0.50'
  #         memory: 1024M
  #   expose:
  #   - '9006'
  #   volumes:
  #   - "./certs:/certs"

  # tracker-service:
  #   environment:
  #   - JAVA_OPTS=-Xmx2048m -Dspring.profiles.active=prod
  #   - MONGODB_DSN=mongodb://agim8:testagim8@mongodb:27017/tracker-service
  #   - REDIS_DSN=redis://redis:6379
  #   - REDIS_HOST=redis
  #   - REDIS_PORT=6379
  #   - MONGODB_CA=/certs/mongoCA.crt
  #   image: registry.gitlab.com/agim8/agim8-platform/tracker-service:develop
  #   deploy:
  #     resources:
  #       limits:
  #         cpus: '0.50'
  #         memory: 1024M
  #   expose:
  #   - '9003'
  #   volumes:
  #   - "./certs:/certs"

  # web-ui:
  #   image: registry.gitlab.com/agim8/agim8-platform/agi-ui:develop
  #   deploy:
  #     resources:
  #       limits:
  #         cpus: '0.50'
  #         memory: 100M
  #   expose:
  #   - '8080'
